Summary: A window manager for the X Window System.
Name: WindowMaker
Version: 0.61.1
Release: 2
Copyright: GPL
Group: User Interface/Desktops
Source0: ftp://windowmaker.org/pub/beta/srcs/WindowMaker-%{version}.tar.bz2
Source1: ftp://windowmaker.org/pub/WindowMaker-data.tar.gz
Source2: WindowMaker-asclock.tar.gz
%define Extras extra-0.1
Source3: ftp://windowmaker.org/pub/WindowMaker-%{Extras}.tar.gz
Patch1: WindowMaker-0.61.0-redhat.patch
Patch2: WindowMaker-0.19.3-wmclock.patch
Patch3: WindowMaker-0.51.0-areas.patch
Patch4: WindowMaker-0.51.2-runinst.patch
BuildRoot: /var/tmp/WindowMaker-root
Requires: wmconfig, libPropList, cpp
Provides: windowmanager

%description
Window Maker is an X11 window manager which emulates the look
and feel of the NeXTSTEP (TM) graphical user interface. It is
relatively fast, feature rich and easy to configure and use. 
Window Maker is part of the official GNU project, which means that 
Window Maker can interoperate with other GNU projects, such as
GNOME.

Window Maker allows users to switch themes 'on the fly,' to place
favorite applications on either an application dock, similar to
AfterStep's Wharf or on a workspace dock, a 'clip' which extends
the application dock's usefulness.

You should install the WindowMaker package if you use Window
Maker as your window manager or if you'd like to try using it.
If you do install the WindowMaker package, you may also want
to install the AfterStep-APPS package, which includes
applets that will work with both the AfterStep and Window Maker
window managers.

%prep
%setup -q -a 1 -a 2 -a 3
%patch1 -p1
%patch2 -p1 
%patch3 -p1
%patch4 -p1

%build
CFLAGS="$RPM_OPT_FLAGS"
LDFLAGS=""
NLSDIR=/usr/share/locale
LINGUAS="cs de dk el es fi fr gl hr it ja ko nl no pl pt ro ru se tr"
GNUSTEP_LOCAL_ROOT='$(prefix)/X11R6/lib/GNUstep'
export CFLAGS LDFLAGS NLSDIR LINGUAS GNUSTEP_LOCAL_ROOT
./configure --prefix=/usr --exec-prefix=/usr/X11R6 \
	--sysconfdir=/etc/X11 \
	--enable-newstyle --enable-superfluous \
	--enable-kde --enable-gnome
make
make Makefile -C asclock
make -C asclock

%install
rm -rf $RPM_BUILD_ROOT
cp -f WindowMaker/plmenu WindowMaker/Defaults/WMRootMenu
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 WindowMaker-data/pixmaps/* $RPM_BUILD_ROOT/usr/share/pixmaps
for i in $(ls */README) ; do
    echo $i | sed -e "s|\(.*\)/\(.*\)|\2\.\1|" | xargs cp $i
done
make install DESTDIR=$RPM_BUILD_ROOT -C asclock
strip $RPM_BUILD_ROOT/usr/X11R6/bin/* || :
strip $RPM_BUILD_ROOT/usr/X11R6/lib/GNUstep/Apps/WPrefs.app/WPrefs

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir /etc/X11/WindowMaker
%config /etc/X11/WindowMaker/*
/usr/X11R6/bin/*
/usr/X11R6/lib/lib*
/usr/X11R6/lib/GNUstep/Apps/WPrefs.app
/usr/include/*
/usr/share/WindowMaker
/usr/share/locale/*/*/*
%doc AUTHORS BUGFORM BUGS ChangeLog NEWS FAQ* README
%doc TODO MIRRORS README*
/usr/share/pixmaps/*
/usr/share/WINGs
/usr/man/*/*

%changelog
* Tue Feb 15 2000 Preston Brown <pbrown@redhat.com>
- provides windowmanager

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- version 0.61.1

* Wed Sep 29 1999 Cristian Gafton <gafton@redhat.com>
- get patch from CVS to fix the OPEN_MENU problems
- Fixed the totally broken session save function so that WindowMaker will
  stop segfaulting on exit for good.

* Fri Sep 24 1999 Cristian Gafton <gafton@redhat.com>
- version 0.61.0

* Fri Sep 10 1999 Cristian Gafton <gafton@redhat.com>
- fix default menu problem

* Thu Sep 02 1999 Cristian Gafton <gafton@redhat.com>
- version 0.60.0

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- fixed up default config (dock was empty...)

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- version 0.52.0

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- fixed problem with running wmaker.inst in batch mode (forgot comma)

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- fixed icon problems
- run wmaker.inst in batch mode if no ~/GNUstep/Library/WindowMaker dir exists

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- requires cpp

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Cristian Gafton <gafton@redhat.com>
- make sure we get the full distribution
- run ldconfig in the post script

* Mon Feb 15 1999 The Rasterman <raster@redhat.com>
- added gnome winhints areas support fix.

* Tue Feb 02 1999 Cristian Gafton <gafton@redhat.com>
- version 0.51.0
